/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.dycdpapi.transform.v20170525;

import java.util.ArrayList;
import java.util.List;

import com.aliyuncs.dycdpapi.model.v20170525.QueryCdpOfferResponse;
import com.aliyuncs.dycdpapi.model.v20170525.QueryCdpOfferResponse.CdpOfferDTO;
import com.aliyuncs.transform.UnmarshallerContext;


public class QueryCdpOfferResponseUnmarshaller {

	public static QueryCdpOfferResponse unmarshall(QueryCdpOfferResponse queryCdpOfferResponse, UnmarshallerContext context) {
		
		queryCdpOfferResponse.setRequestId(context.stringValue("QueryCdpOfferResponse.RequestId"));
		queryCdpOfferResponse.setCode(context.stringValue("QueryCdpOfferResponse.Code"));
		queryCdpOfferResponse.setMessage(context.stringValue("QueryCdpOfferResponse.Message"));

		List<CdpOfferDTO> cdpOfferDTOs = new ArrayList<CdpOfferDTO>();
		for (int i = 0; i < context.lengthValue("QueryCdpOfferResponse.CdpOfferDTOs.Length"); i++) {
			CdpOfferDTO cdpOfferDTO = new CdpOfferDTO();
			cdpOfferDTO.setOperator(context.stringValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].Operator"));
			cdpOfferDTO.setChannelType(context.stringValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].ChannelType"));
			cdpOfferDTO.setProvince(context.stringValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].province"));
			cdpOfferDTO.setFlow(context.stringValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].flow"));
			cdpOfferDTO.setFlowType(context.stringValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].flowType"));
			cdpOfferDTO.setPrice(context.longValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].price"));
			cdpOfferDTO.setDiscount(context.stringValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].discount"));
			cdpOfferDTO.setProductId(context.longValue("QueryCdpOfferResponse.CdpOfferDTOs["+ i +"].productId"));

			cdpOfferDTOs.add(cdpOfferDTO);
		}
		queryCdpOfferResponse.setCdpOfferDTOs(cdpOfferDTOs);
	 
	 	return queryCdpOfferResponse;
	}
}